org.jfree.ui.tabbedui

## Interface RootEditor

All Known Implementing Classes:
  RootPanel

    public interface RootEditor

A root editor reprensents a tab in a TabbedUI.

Author:
  Thomas Morgner

### Method Summary

Methods
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener l)` Adds a property change listener.
`void` `addPropertyChangeListener(java.lang.String property, java.beans.PropertyChangeListener l)` Adds a property change listener.
`java.lang.String` `getEditorName()` Returns the editor name.
`javax.swing.JComponent` `getMainPanel()` Returns the main panel.
`javax.swing.JMenu[]` `getMenus()` Returns the menus.
`javax.swing.JComponent` `getToolbar()` Returns the toolbar.
`boolean` `isActive()` Returns the active or inactive status of the editor.
`boolean` `isEnabled()` Checks, whether this root editor is enabled.
`void` `removePropertyChangeListener(java.beans.PropertyChangeListener l)` Removes a property change listener.
`void` `removePropertyChangeListener(java.lang.String property, java.beans.PropertyChangeListener l)` Removes a property change listener.
`void` `setActive(boolean b)` Sets the editor active or inactive.

### Method Detail

#### setActive

    void setActive(boolean b)

Sets the editor active or inactive.

Parameters:
  `b` - a boolean.

#### isActive

    boolean isActive()

Returns the active or inactive status of the editor.

Returns:
  A boolean.

#### getEditorName

    java.lang.String getEditorName()

Returns the editor name.

Returns:
  The editor name.

#### getMenus

    javax.swing.JMenu[] getMenus()

Returns the menus.

Returns:
  The menus.

#### getToolbar

    javax.swing.JComponent getToolbar()

Returns the toolbar.

Returns:
  The toolbar.

#### getMainPanel

    javax.swing.JComponent getMainPanel()

Returns the main panel.

Returns:
  The main panel.

#### isEnabled

    boolean isEnabled()

Checks, whether this root editor is enabled.

Returns:
  true, if the editor is enabled, false otherwise.

#### addPropertyChangeListener

    void addPropertyChangeListener(java.lang.String property,
                                 java.beans.PropertyChangeListener l)

Adds a property change listener.

Parameters:
  `property` - the property name.
  `l` - the listener.

#### removePropertyChangeListener

    void removePropertyChangeListener(java.lang.String property,
                                    java.beans.PropertyChangeListener l)

Removes a property change listener.

Parameters:
  `property` - the property name.
  `l` - the listener.

#### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener l)

Adds a property change listener.

Parameters:
  `l` - the listener.

#### removePropertyChangeListener

    void removePropertyChangeListener(java.beans.PropertyChangeListener l)

Removes a property change listener.

Parameters:
  `l` - the listener.